$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 ConnectionDraining export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  drainingTimeoutSec:
    description: |-
      Configures a duration timeout for existing requests on a removed backend
      instance. For supported load balancers and protocols, as described in
      Enabling connection draining.
    type: integer
